package com.activetuts.events {
	
	import flash.events.Event;
	
	public class SliderEvent extends Event {
		
		public static const CHANGE:String = "sliderChange";
		private var _sliderValue:Number;
		
		public function SliderEvent(type:String, sliderValue:Number, bubbles:Boolean=false, cancelable:Boolean=true) {
			_sliderValue = sliderValue;
			super(type, bubbles, cancelable);
		}
		
		public function get sliderValue():Number {
			return _sliderValue;
		}
		
		override public function toString():String {
			return formatToString("SliderValue", "type", "sliderValue");
		}
		
		override public function clone():Event {
			return new SliderEvent(type, sliderValue, bubbles, cancelable);
		}
		
	}
	
}